local AddonName, Hermes = ...

Hermes.SPELL_MONITOR_SCHEMA = {
	["schema"] = 50001,
	["revision"] = 3,
	["spellmetadata"] = {
		[80353] 	= { ["duration"] = "40" },
		[1766] 		= { ["duration"] = "5" },
		[47528] 	= { ["duration"] = "4" },
		[48792] 	= { ["duration"] = "12" },
		[47788] 	= { ["duration"] = "10" },
		[1038] 		= { ["duration"] = "10" },
		[97462] 	= { ["duration"] = "10" },
		[2139] 		= { ["duration"] = "6" },
		[6940] 		= { ["duration"] = "12" },
		[498] 		= { ["duration"] = "10" },
		[33891] 	= { ["duration"] = "25" },
		[740] 		= { ["duration"] = "8" },
		[22842] 	= { ["duration"] = "20" },
		[33206] 	= { ["duration"] = "8" },
		[31224] 	= { ["duration"] = "5" },
		[64901] 	= { ["duration"] = "8" },
		[45438] 	= { ["duration"] = "10" },
		[2094] 		= { ["duration"] = "60" },
		[5211] 		= { ["duration"] = "5" },
		[96231] 	= { ["duration"] = "4" },
		[642] 		= { ["duration"] = "8" },
		[1022] 		= { ["duration"] = "10" },
		[32182] 	= { ["duration"] = "40" },
		[12975] 	= { ["duration"] = "20" },
		[61336] 	= { ["duration"] = "12" },
		[6552] 		= { ["duration"] = "4" },
		[1044] 		= { ["duration"] = "6" },
		[16190] 	= { ["duration"] = "16" },
		[55233] 	= { ["duration"] = "10" },
		[29166] 	= { ["duration"] = "10" },
		[31850] 	= { ["duration"] = "10" },
		[51052] 	= { ["duration"] = "10" },
		[62618] 	= { ["duration"] = "10" },
		[98008] 	= { ["duration"] = "6" },
		[853] 		= { ["duration"] = "6" },
		[22812] 	= { ["duration"] = "12" },
		[31821] 	= { ["duration"] = "6" },
		[48707] 	= { ["duration"] = "5" },
		[64382] 	= { ["duration"] = "10" },
		[871] 		= { ["duration"] = "12" },
		[20594] 	= { ["2ndcooldown"] = "6" },
		[64843] 	= { ["duration"] = "8" },
		[57994] 	= { ["duration"] = "3" },
		[47476] 	= { ["duration"] = "5" },
		[102351] 	= { ["duration"] = "30" },
		[49028] 	= { ["duration"] = "12" },
		[49039] 	= { ["duration"] = "10" },
		[114018] 	= { ["duration"] = "15" },
		[108280] 	= { ["duration"] = "11" },
		[114028] 	= { ["duration"] = "5" },
		
		-- Monk
		[115176] 	= { ["duration"] = "8" },   -- Zen Meditation
		[116849] 	= { ["duration"] = "12" },  -- Life Cocoon
	},
	["requirements"] = {
		[698] 	= { { ["k"] = 10, ["level"] = 42, } },
		[47528] = { { ["k"] = 10, ["level"] = 57, } },
		[48792] = { { ["k"] = 10, ["level"] = 62, } },
		[73325] = { { ["k"] = 10, ["level"] = 85, } },
		[1038] 	= { { ["k"] = 10, ["level"] = 66, } },
		[97462] = { { ["k"] = 10, ["level"] = 83, } },
		[2139] 	= { { ["k"] = 10, ["level"] = 10, } },
		[57994] = { { ["k"] = 10, ["level"] = 16, } },
		[29893] = { { ["k"] = 10, ["level"] = 68, } },
		[6940] 	= { { ["k"] = 10, ["level"] = 80, } },
		[49576] = { { ["k"] = 10, ["level"] = 55, } },
		[42650] = { { ["k"] = 10, ["level"] = 80, } },
		[22842] = { { ["k"] = 10, ["level"] = 52, } },
		[31224] = { { ["k"] = 10, ["level"] = 58, } },
		[64901] = { { ["k"] = 10, ["level"] = 64, } },
		[34477] = { { ["k"] = 10, ["level"] = 76, } },
		[45438] = { { ["k"] = 10, ["level"] = 30, } },
		[2094] 	= { { ["k"] = 10, ["level"] = 34, } },
		[46584] = { { ["k"] = 10, ["level"] = 56, } },
		[498] 	= { { ["k"] = 10, ["level"] = 30, } },
		[642] 	= { { ["k"] = 10, ["level"] = 48, } },
		[1022] 	= { { ["k"] = 10, ["level"] = 18, } },
		[32182] = { { ["k"] = 10, ["level"] = 70, } },
		[47476] = { { ["k"] = 10, ["level"] = 59, } },
		[6552] 	= { { ["k"] = 10, ["level"] = 38, } },
		[1044] 	= { { ["k"] = 10, ["level"] = 52, } },
		[29166] = { { ["k"] = 10, ["level"] = 28, } },
		[853] 	= { { ["k"] = 10, ["level"] = 14, } },
		[31687] = { { ["k"] = 10, ["level"] = 10, } },
		[22812] = { { ["k"] = 10, ["level"] = 58, } },
		[80353] = { { ["k"] = 10, ["level"] = 85, } },
		[64382] = { { ["k"] = 10, ["level"] = 74, } },
		[20608] = { { ["k"] = 10, ["level"] = 30, } },
		[48707] = { { ["k"] = 10, ["level"] = 68, } },
		[20484] = { { ["k"] = 10, ["level"] = 20, } },
		[740] 	= { { ["k"] = 10, ["level"] = 68, } },
		[61999] = { { ["k"] = 10, ["level"] = 72, } },
		[64843] = { { ["k"] = 10, ["level"] = 78, } },
		[633] 	= { { ["k"] = 10, ["level"] = 16, } },
		[86150] = { { ["k"] = 10, ["level"] = 85, } },
		
		[109964] = { { ["k"] = 10, ["level"] = 28, } },
		[114018] = { { ["k"] = 10, ["level"] = 76, } },
		[108280] = { { ["k"] = 10, ["level"] = 20, } },
		[114028] = { { ["k"] = 10, ["level"] = 20, } },
		
		-- Monk
		[115176] = { { ["k"] = 10, ["level"] = 82, } }, -- Zen Meditation
		[116849] = { { ["k"] = 10, ["level"] = 50, } }, -- Life Cocoon
		[115310] = { { ["k"] = 10, ["level"] = 78, } }, -- Revival
		
		-----------------------------------
		-- Talent Requirements
		-----------------------------------
		
		-- Death Knight
		[49039] 	= { { ["k"] = 25, ["talentIndex"] = 4 }	},
		[51052] 	= { { ["k"] = 25, ["talentIndex"] = 5 }	},
		[48743] 	= { { ["k"] = 25, ["talentIndex"] = 10 } },
		
		[102060] 	= { { ["k"] = 25, ["talentIndex"] = 9 } },
		-- [47788] 	= { { ["k"] = 25, ["talentIndex"] = 0 } },
		-- [33891] 	= { { ["k"] = 25, ["talentIndex"] = 0 } },
		[20066] 	= { { ["k"] = 25, ["talentIndex"] = 5 } },
		-- [33206] 	= { { ["k"] = 25, ["talentIndex"] = 0 } },
		
		-- [5211] 		= { { ["k"] = 25, ["talentIndex"] = 0 } },
		-- [61336] 	= { { ["k"] = 25, ["talentIndex"] = 0 } },
		-- [12975] 	= { { ["k"] = 25, ["talentIndex"] = 0 } },
		-- [16190] 	= { { ["k"] = 25, ["talentIndex"] = 0 } },
		
		-- [31850] 	= { { ["k"] = 25, ["talentIndex"] = 0 } },
		-- [62618] 	= { { ["k"] = 25, ["talentIndex"] = 0 } },
		[102351]	= { { ["k"] = 25, ["talentIndex"] = 6 } },
		
		-- Warrior
		[114028]	= { { ["k"] = 25, ["talentIndex"] = 13 } },
		
		-- Shaman
		[108280]	= { { ["k"] = 25, ["talentIndex"] = 13 } }, -- Healing Tide Totem
		
		-----------------------------------
		-- Specialization Requirements
		-----------------------------------
		
		-- Death Knight (Blood)
		[55233] 	= { { ["k"] = 25, ["specialization"] = 250 } },
		[49222] 	= { { ["k"] = 25, ["specialization"] = 250 } },
		[49028] 	= { { ["k"] = 25, ["specialization"] = 250 } },
		
		[49028] 	= { { ["k"] = 25, ["specialization"] = 250 } },
		
		-- Shaman (Restoration)
		[98008] 	= { { ["k"] = 25, ["specialization"] = 264 } },
		
		-- Priest (Holy)
		[64843]		= { { ["k"] = 30, ["specialization"] = 257 } },
		[47788]		= { { ["k"] = 30, ["specialization"] = 257 } },
		
		-- Priest (Discipline)
		[109964]	= { { ["k"] = 30, ["specialization"] = 269 } },

	},
	
	["cooldowns"] = {
		[31224] 	= 90,
		[42650] 	= 600,
		[33891] 	= 180,
		[16190] 	= 180,
		[20066] 	= 15,
		[20707] 	= 900,
		[57934] 	= 30,
		[20594] 	= 120,
		[49576] 	= 35,
		[59752] 	= 120,
		[48707] 	= 45,
		[29893] 	= 300,
		[46584] 	= 180,
		[871] 		= 300,
		[80353] 	= 300,
		[633] 		= 600,
		[1022] 		= 300,
		[61336] 	= 180,
		[31687] 	= 180,
		[62618] 	= 180,
		[6940] 		= 120,
		[61999] 	= 600,
		[70940] 	= 180,
		[642] 		= 300,
		[33206] 	= 180,
		[31850] 	= 180,
		[698] 		= 120,
		[2094] 		= 180,
		[45438] 	= 300,
		[498] 		= 60,
		[98008] 	= 180,
		[55233] 	= 60,
		[64901] 	= 360,
		[86150] 	= 300,
		[47788] 	= 180,
		[34477] 	= 30,
		[20484] 	= 600,
		[12975] 	= 180,
		[97462] 	= 180,
		[32182] 	= 300,
		[740] 		= 480,
		[64382] 	= 300,
		[1044] 		= 25,
		[31821] 	= 120,
		[73325] 	= 90,
		[22812] 	= 60,
		[29166] 	= 180,
		[20608] 	= 1800,
		[22842] 	= 180,
		[51052] 	= 120,
		[48792] 	= 180,
		[49222] 	= 60,
		[1038] 		= 120,
		[64843] 	= 480,
		[5211] 		= 60, --new
		[47528] 	= 10, --new
		[57994] 	= 6, --new
		[6552] 		= 10, --new
		[96231] 	= 10, --new
		[2139] 		= 24, --new
		[1766] 		= 10, --new
		[853] 		= 60, --new
		[47476] 	= 120, --new
		[102060]	= 40,
		[102351]	= 30,
		[114018]	= 300,
		[108280]	= 180,
		[114028]	= 60,
		[109964]	= 60,
		
		[115176]	= 180,
		[116849]	= 120,
		[115310]	= 180,
	},
	["adjustments"] = {
		-- [86150] = { { 	["o"] = -40, 	["talname"] = 39, 	["k"] = 25, 	["talrank"] = 1, } },
		-- [2094] = { { 	["o"] = -30, 	["talname"] = 42, 	["k"] = 25, 	["talrank"] = 1, } },
		-- [5211] = { { 	["o"] = -5, 	["talname"] = 33, 	["k"] = 25, 	["talrank"] = 1, } },
		-- [46584] = { { 	["o"] = -60, 	["k"] = 30, 	["talspec"] = 3, } },
		-- [1022] = { { 	["o"] = -60, 	["talname"] = 44, 	["k"] = 25, 	["talrank"] = 1, } },
		-- [57994] = { { 	["o"] = -0.5, 	["talname"] = 6, 	["k"] = 25, 	["talrank"] = 1, } },
		-- [853] = { { 	["o"] = -10, 	["talname"] = 26, 	["k"] = 25, 	["talrank"] = 1, } },
		-- [6940] = { { 	["o"] = -15, 	["talname"] = 59, 	["k"] = 25, 	["talrank"] = 1, } },
		-- [871] = { { 	["o"] = -60, 	["talname"] = 46, 	["k"] = 25, 	["talrank"] = 1, } },
		-- [498] = { { 	["o"] = -10, 	["talname"] = 17, 	["k"] = 25, 	["talrank"] = 1, } },
		-- [49576] = { { 	["o"] = -5, 	["talname"] = 41, 	["k"] = 25, 	["talrank"] = 1, } },
		-- [1038] = { { 	["o"] = -12.5, 	["talname"] = 59, 	["k"] = 25, 	["talrank"] = 1, } },
		-- [31224] = { { 	["o"] = -15, 	["talname"] = 42, 	["k"] = 25, 	["talrank"] = 1, } },
		-- [47476] = { { 	["o"] = -30, 	["talname"] = 7, 	["k"] = 25, 	["talrank"] = 1, } },
		-- [1044] = { { 	["o"] = -2.5, 	["talname"] = 59, 	["k"] = 25, 	["talrank"] = 1, } },
		-- [740] = { { 	["o"] = -180, 	["talname"] = 56, 	["k"] = 25, 	["talrank"] = 1, } },
	},
}